.p-index-products {
	margin: 65px * 40px;

	@media (--mobile) {
		margin: 40px *;
	}
}

.p-index-products__title {
	color: var(--color-dark);
	text: 800 45px 45px;
	margin: 0 0 30px;

	@media (--mobile) {
		text: 28px 30px;
		margin-bottom: 20px;
		padding: 0 20px;
	}
}

.p-index-products__button {
	size: 100% 60px;
	text-decoration: none;

	& span {
		display: block;
		border: 1px solid;
		border-color: var(--color-border-light);
		color: var(--color-dark);
		text: 800 center 14px 60px nowrap;
		transition:
			color .3s ease 0s,
			border-color .3s ease 0s;
	}

	&:hover span {
		color: var(--color-main);
		border-color: var(--color-main);
	}

	@media (--mobile) {
		padding: 0 20px;
	}
}

/* List */
.p-index-products-list {
	margin-bottom: 20px;

	@media (--tablet-vertical-max) {
		border-bottom: 1px solid var(--color-border-light);
	}
}

.p-index-products-list__item {
	overflow: hidden;
	position: relative;
	border-left: 1px solid var(--color-border-light);
	transition: border-color .3s ease 0s;

	&:nth-child(2n+1):last-child {
		border-right: 1px solid var(--color-border-light);
	}

	@media (--desktop-min) {
		&:hover {
			border-color: var(--color-main) !important;

			& + .p-index-products-list__item {
				border-left-color: var(--color-main) !important;
			}

			& + .p-index-products-list__item + .p-index-products-list__item {
				border-top-color: var(--color-main) !important;
			}

			& .p-index-products-list__title a {
				color: var(--color-main);
			}
		}
	}

	@media (--tablet-horizontal-min) {
		size: 50% 345px;
		border-top: 1px solid var(--color-border-light);

		&:nth-child(2n) {
			border-right: 1px solid var(--color-border-light);
		}

		&:nth-last-child(-n+2) {
			border-bottom: 1px solid var(--color-border-light);
		}
	}

	@media (--tablet-horizontal-only) {
		height: 385px;
	}

	@media (--tablet-vertical-only) {
		float: none;
		size: 100% 340px;
		border-right: 1px solid var(--color-border-light);
		border-top: 1px solid var(--color-border-light);
	}

	@media (--mobile) {
		float: none;
		size: 100% auto;
		border-left: 0;
		padding: 0 20px;
		border-top: 1px solid var(--color-border-light);
	}
}

.p-index-products-list__link {
	display: block;
	position: absolute 0 * * 0;
	size: 100%;
	z-index: 100;
}

.p-index-products-list__figure {
	size: 220px 100%;
	position: relative;
	overflow: hidden;

	& img {
		position: absolute 50% * * 50%;
		transform: translate(-50%, -50%);
		margin-top: -20px;
		max-width: 100%;
	}

	@media (--mobile) {
		width: 100%;
		height: auto;
		float: none;
		padding-top: 20px;
		padding-bottom: 20px;

		& figcaption {
			bottom: 0;
		}

		& img {
			position: static;
			transform: none;
			margin: 0 auto;
			max-width: 180px;
		}
	}
}

.p-index-products-list__container {
	size: 320px 100%;
	padding-top: 45px;
	overflow: hidden;
	position: relative;
	z-index: 200;

	@media (--tablet-horizontal-only) {
		width: 237px;
	}

	@media (--mobile) {
		width: 100%;
		padding-top: 20px;
		padding-bottom: 25px;
		text-align: center;
	}
}

.p-index-products-list__title {
	margin: 0 0 10px;

	& a {
		color: var(--color-dark);
		text: 800 21px 1.2;
		text-decoration: none;
		transition: color .3s ease 0s;
	}
}

.p-index-prroducts-list__value {
	margin: 0;
	text: 12px 1.5;

	& strong {
		font-weight: normal;
		color: #5e5e5e;
	}
}

.p-index-products-list__text {
	color: var(--color-poor);
	text: 14px 1.4;
	margin: 8px 0 0;
	overflow: hidden;
	max-height: 80px;

	@media (--mobile) {
		text-align: left;
		max-height: auto;
		margin-bottom: 10px;
	}
}

.p-index-products-list__wrapper {
	position: absolute * * 40px 0;
	width: 100%;

	@media (--mobile) {
		position: static;
	}
}

.p-index-products-list__price {
	color: var(--color-dark);
	text: 800 21px 1.2;
	margin: 0;
}

.p-index-products-list__remove-btn {
	z-index: 2000;
	size: 150px 40px;
	border-radius: 2px;
	text-decoration: none;
	text: #ffffff 800 center 14px 40px;
	background-color: var(--color-main);
	transition:  background-color .3s ease 0s;
	margin-top: 8px;
	float: right;

	& + .p-index-products-list__button {
		float: left;
		width: 150px;
	}

	@media (--tablet-horizontal-only) {
		float: none;

		& + .p-index-products-list__button {
			float: none;
		}
	}

	&:hover {
		background-color: var(--color-dark);
	}

	@media (--mobile) {
		float: none;
		display: inline-block;
		vertical-align: top;

		& + .p-index-products-list__button {
			float: none;
			display: inline-block;
			vertical-align: top;
		}
	}
}

.p-index-products-list__button {
	size: 160px 40px;
	margin-top: 8px;
	border-radius: 2px;
	text-decoration: none;
	text: #ffffff 800 center 14px 40px;
	background-color: var(--color-main);
	transition: background-color .3s ease 0s;

	&:hover {
		background-color: var(--color-dark);
	}

	@media (--mobile) {
		margin: * auto;
	}
}

/* Nav */
.p-index-products-nav {
	margin: 30px 0;
	border-bottom: 1px solid var(--color-border-light);

	@media (--tablet-horizontal-max) {
		display: none;
	}
}

.p-index-products-nav__list {
	padding: 0;
	margin: 0;
	list-style: none;
	font-size: 0;
}

.p-index-products-nav__item {
	margin-bottom: 12px;

	&:not(:last-child) {
		margin-right: 20px;
	}
}

.p-index-products-nav__link {
	text-decoration: none;
	border-bottom: 2px solid transparent;
	transition: border-bottom-color .3s ease 0s;

	& strong {
		transition: color .3s ease 0s;
		color: var(--color-dark);
		text: 500 17px 25px;
	}

	& small {
		color: var(--color-poor);
		text: 400 14px 25px;
		margin-left: 3px;
	}

	@nest .active &,
	&:hover {
		border-bottom-color: var(--color-main);

		& strong {
			color: var(--color-main);
		}
	}
}

/* Filters */
.p-index-products-filters {
	margin-bottom: 40px;

	@media (--mobile) {
		padding: 0 20px;
		margin-bottom: 20px;
	}
}

.p-index-products-filters__fieldset {
	&--select {
		width: 160px;
		margin-right: 40px;

		@media (--tablet-only) {
			margin-bottom: 30px;

			&:nth-child(3) {
				margin-right: 0;
			}
		}

		@media (--tablet-vertical-only) {
			margin-right: 20px;
		}

		@media (--mobile) {
			width: 100%;
			margin-right: 0;

			&:not(:last-child) {
				margin-bottom: 15px;
			}
		}
	}

	&--radio {
		width: 260px;
		margin-right: 40px;

		@media (--tablet-horizontal-only) {
			width: 280px;
			margin-right: 40px;
		}

		@media (--tablet-vertical-only) {
			margin-right: 20px;
		}

		@media (--mobile) {
			width: 100%;
			margin-right: 0;

			&:not(:last-child) {
				margin-bottom: 15px;
			}
		}
	}

	&--category {
		@media (--desktop-min) {
			display: none;
		}

		@media (--tablet-horizontal-only) {
			width: 520px;

			& .p-index-products-filters__select {
				background-position: 96.5% center;
			}
		}

		@media (--tablet-vertical-only) {
			width: 320px;

			& .p-index-products-filters__select {
				background-position: 94% center;
			}
		}
	}
}

.p-index-products-filters__label {
	color: var(--color-dark);
	text: 500 14px 1.8;
	cursor: pointer;
	margin-bottom: 8px;
}

.p-index-products-filters__select {
	appearance: none;
	border-radius: 2px;
	size: 100% 40px;
	border: 1px solid;
	border-color: var(--color-border-light);
	background-color: transparent;
	outline: 0;
	cursor: pointer;
	padding: 0 16px;
	text: #333333 14px 14px;
	background-repeat: no-repeat;
	background-position: 90% center;
	background-image: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAoAAAAFCAYAAAB8ZH1oAAAALklEQVQImWNgYGBoYGBg+E8ANzBAQRMeRXUMaKAFi6IadEXYFFfhUgQDbdgUAQAH3BjrdIlkcgAAAABJRU5ErkJggg==');

	@media (--mobile) {
		background-position: 95% center;
	}
}

.p-index-products-filters__radio {
	display: none;
}

.p-index-products-filters__radio-caption {
	margin: 0;
	size: 50% 40px;
	cursor: pointer;
	color: var(--color-poor);
	text: center 14px 40px;
	border-left: 1px solid var(--color-border-light);
	border-top: 1px solid var(--color-border-light);
	border-bottom: 1px solid var(--color-border-light);
	transition: color .3s ease 0s, background-color .3s ease 0s;

	&:first-of-type {
		border-radius: 2px 0 0 2px;
	}

	&:last-of-type {
		border-radius: 0 2px 2px 0;
		border-right: 1px solid var(--color-border-light);
	}
}

.p-index-products-filters__radio:checked + .p-index-products-filters__radio-caption {
	color: #333333;
	background-color: var(--color-border-light);
}

.p-index-products-filters__radio-caption:hover {
	color: var(--color-main);
}

.p-index-products-filters__submit {
	margin-top: 32px;
	size: 159px 40px;
	border-radius: 2px;
	background-color: var(--color-main);
	text: #ffffff 800 14px 40px;
	transition: background-color .3s ease 0s;

	&:hover {
		background-color: var(--color-dark);
	}

	@media (--tablet-horizontal-only) {
		width: 280px;
	}

	@media (--tablet-vertical-only) {
		width: 120px;
	}

	@media (--mobile) {
		width: 100%;
		margin-top: 0;
	}
}
